%	ESTE PROGRAMA CALCULA LAS PROBABILIDADES QUE SE USAN EN LA 
%*    CADENA DE MARKOV. METODOS ESTADISTICOS 2008.

%** la P01 es la probabilidad de NO lluvia hoy llueva maņana = Phoy,maņana
%**  con estas dos  probabilidades podemos calcular la cadena de Markov. 

S=xlsread('persistencia.xls'); % archivo de entrada

ppp=S(:,4);  %variable que contiene la precipitacion
[M,N]=size(ppp);

f00=0;
f01=0;
f10=0;
f11=0;

for i=1:M-1;
       
        i1=i+1;

       if(ppp(i)~= -99.9 & ppp(i1) ~= -99.9 & ppp(i) <= 2 & ppp(i1) <= 2); 
           f00=f00+1;
       end;
       if(ppp(i)~= -99.9 & ppp(i1) ~= -99.9 & ppp(i) <= 2 & ppp(i1) >= 2) ;
            f01=f01+1;
       end;
       if(ppp(i)~= -99.9 & ppp(i1) ~= -99.9 & ppp(i) >= 2 & ppp(i1) <= 2) ;
            f10=f10+1;
       end     ;
       if(ppp(i)~= -99.9 & ppp(i1) ~= -99.9 & ppp(i) >= 2 & ppp(i1) >= 2) ;
            f11=f11+1;
       end    ;
   end     
  %   calculo de la probabilidad 
      
        p00=f00/(f00+f01);
        p01=f01/(f00+f01);
        p10=f10/(f10+f11);
        p11=f11/(f10+f11);
	    todo=p00+p01;

        
    disp('      p00        p01       p10       p11');
    disp( [p00, p01, p10, p11]);
    disp('   f00    f01   f10   f11');
    disp( [f00, f01, f10, f11]);
    